## qtwallet 1.4-5maemo1

=== src/Makefile ===
#############################################################################
# Makefile for building: qtwallet
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 22 16:03:56 2011
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lssl -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtSql -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = CreatePasswordDialog.cpp \
		QLabelW.cpp \
		CreateFieldDialog.cpp \
		OptionsDialog.cpp \
		RenameGroupDialog.cpp \
		utils.cpp \
		DatabaseManager.cpp \
		eWallet.cpp \
		main.cpp \
		LoginDialog.cpp \
		DetailedWindow.cpp \
		ImageViewer.cpp \
		QLabelImage.cpp \
		EditTemplates.cpp moc_CreatePasswordDialog.cpp \
		moc_QLabelW.cpp \
		moc_CreateFieldDialog.cpp \
		moc_RenameGroupDialog.cpp \
		moc_OptionsDialog.cpp \
		moc_DatabaseManager.cpp \
		moc_eWallet.cpp \
		moc_DetailedWindow.cpp \
		moc_LoginDialog.cpp \
		moc_ImageViewer.cpp \
		moc_QLabelImage.cpp \
		moc_EditTemplates.cpp \
		qrc_resources.cpp
OBJECTS       = CreatePasswordDialog.o \
		QLabelW.o \
		CreateFieldDialog.o \
		OptionsDialog.o \
		RenameGroupDialog.o \
		utils.o \
		DatabaseManager.o \
		eWallet.o \
		main.o \
		LoginDialog.o \
		DetailedWindow.o \
		ImageViewer.o \
		QLabelImage.o \
		EditTemplates.o \
		moc_CreatePasswordDialog.o \
		moc_QLabelW.o \
		moc_CreateFieldDialog.o \
		moc_RenameGroupDialog.o \
		moc_OptionsDialog.o \
		moc_DatabaseManager.o \
		moc_eWallet.o \
		moc_DetailedWindow.o \
		moc_LoginDialog.o \
		moc_ImageViewer.o \
		moc_QLabelImage.o \
		moc_EditTemplates.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qtwallet
DESTDIR       = 
TARGET        = qtwallet

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	strip $(TARGET)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSql.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSql.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents CreatePasswordDialog.h QLabelW.h CreateFieldDialog.h RenameGroupDialog.h OptionsDialog.h utils.h Constants.h utils.h DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h ImageViewer.h QLabelImage.h EditTemplates.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents CreatePasswordDialog.cpp QLabelW.cpp CreateFieldDialog.cpp OptionsDialog.cpp RenameGroupDialog.cpp utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp ImageViewer.cpp QLabelImage.cpp EditTemplates.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts translations/qtwallet_de.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
moc_CreatePasswordDialog.cpp: CreatePasswordDialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) CreatePasswordDialog.h -o moc_CreatePasswordDialog.cpp

moc_QLabelW.cpp: DatabaseManager.h \
		CreateFieldDialog.h \
		QLabelW.h
	/usr/bin/moc $(DEFINES) $(INCPATH) QLabelW.h -o moc_QLabelW.cpp

moc_CreateFieldDialog.cpp: DatabaseManager.h \
		CreateFieldDialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) CreateFieldDialog.h -o moc_CreateFieldDialog.cpp

moc_RenameGroupDialog.cpp: DatabaseManager.h \
		DetailedWindow.h \
		CreateFieldDialog.h \
		ImageViewer.h \
		QLabelImage.h \
		CreatePasswordDialog.h \
		LoginDialog.h \
		RenameGroupDialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) RenameGroupDialog.h -o moc_RenameGroupDialog.cpp

moc_OptionsDialog.cpp: OptionsDialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) OptionsDialog.h -o moc_OptionsDialog.cpp

moc_DatabaseManager.cpp: DatabaseManager.h
	/usr/bin/moc $(DEFINES) $(INCPATH) DatabaseManager.h -o moc_DatabaseManager.cpp

moc_eWallet.cpp: DatabaseManager.h \
		DetailedWindow.h \
		CreateFieldDialog.h \
		ImageViewer.h \
		QLabelImage.h \
		CreatePasswordDialog.h \
		OptionsDialog.h \
		RenameGroupDialog.h \
