=== debian/changelog ===
qtwallet (1.4-5maemo1) fremantle; urgency=low

  * General optimization changing password
  * Unlock after Automatic Lock recover previous situation
  * New language option  
  * Fix problems deleting cards
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 23 Jan 2011 11:00:00 +0100
