## qtwallet 1.4-6maemo1

=== debian/changelog ===
qtwallet (1.4-6maemo1) fremantle; urgency=low

  * General optimization changing password
  * Unlock after Automatic Lock recover previous situation
  * New language option  
  * Fix problems deleting cards
  * Now card list show extra information
  * Improvement when loading a lot of cards with images
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 1 Feb 2011 21:00:00 +0100
