=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 22 16:03:56 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 25 18:23:14 2011
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile src.pro
@@ -43,7 +43,9 @@
 
 ####### Files
 
-SOURCES       = CreatePasswordDialog.cpp \
+SOURCES       = AntiTheftManager.cpp \
+		AntiTheftOptionsDialog.cpp \
+		CreatePasswordDialog.cpp \
 		QLabelW.cpp \
 		CreateFieldDialog.cpp \
 		OptionsDialog.cpp \
@@ -56,7 +58,9 @@
 		DetailedWindow.cpp \
 		ImageViewer.cpp \
 		QLabelImage.cpp \
-		EditTemplates.cpp moc_CreatePasswordDialog.cpp \
+		EditTemplates.cpp moc_AntiTheftManager.cpp \
+		moc_AntiTheftOptionsDialog.cpp \
+		moc_CreatePasswordDialog.cpp \
 		moc_QLabelW.cpp \
 		moc_CreateFieldDialog.cpp \
 		moc_RenameGroupDialog.cpp \
@@ -69,7 +73,9 @@
 		moc_QLabelImage.cpp \
 		moc_EditTemplates.cpp \
 		qrc_resources.cpp
-OBJECTS       = CreatePasswordDialog.o \
+OBJECTS       = AntiTheftManager.o \
+		AntiTheftOptionsDialog.o \
+		CreatePasswordDialog.o \
 		QLabelW.o \
 		CreateFieldDialog.o \
 		OptionsDialog.o \
@@ -83,6 +89,8 @@
 		ImageViewer.o \
 		QLabelImage.o \
 		EditTemplates.o \
+		moc_AntiTheftManager.o \
+		moc_AntiTheftOptionsDialog.o \
 		moc_CreatePasswordDialog.o \
 		moc_QLabelW.o \
 		moc_CreateFieldDialog.o \
@@ -213,7 +221,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents CreatePasswordDialog.h QLabelW.h CreateFieldDialog.h RenameGroupDialog.h OptionsDialog.h utils.h Constants.h utils.h DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h ImageViewer.h QLabelImage.h EditTemplates.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents CreatePasswordDialog.cpp QLabelW.cpp CreateFieldDialog.cpp OptionsDialog.cpp RenameGroupDialog.cpp utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp ImageViewer.cpp QLabelImage.cpp EditTemplates.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts translations/qtwallet_de.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents AntiTheftManager.h AntiTheftOptionsDialog.h CreatePasswordDialog.h QLabelW.h CreateFieldDialog.h RenameGroupDialog.h OptionsDialog.h utils.h Constants.h utils.h DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h ImageViewer.h QLabelImage.h EditTemplates.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents AntiTheftManager.cpp AntiTheftOptionsDialog.cpp CreatePasswordDialog.cpp QLabelW.cpp CreateFieldDialog.cpp OptionsDialog.cpp RenameGroupDialog.cpp utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp ImageViewer.cpp QLabelImage.cpp EditTemplates.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts translations/qtwallet_de.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -234,9 +242,15 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
+compiler_moc_header_make_all: moc_AntiTheftManager.cpp moc_AntiTheftOptionsDialog.cpp moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
+	-$(DEL_FILE) moc_AntiTheftManager.cpp moc_AntiTheftOptionsDialog.cpp moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
+moc_AntiTheftManager.cpp: AntiTheftManager.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) AntiTheftManager.h -o moc_AntiTheftManager.cpp
+
+moc_AntiTheftOptionsDialog.cpp: AntiTheftOptionsDialog.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) AntiTheftOptionsDialog.h -o moc_AntiTheftOptionsDialog.cpp
+
 moc_CreatePasswordDialog.cpp: CreatePasswordDialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) CreatePasswordDialog.h -o moc_CreatePasswordDialog.cpp
 
@@ -249,27 +263,3 @@
 		CreateFieldDialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) CreateFieldDialog.h -o moc_CreateFieldDialog.cpp
 
-moc_RenameGroupDialog.cpp: DatabaseManager.h \
-		DetailedWindow.h \
-		CreateFieldDialog.h \
-		ImageViewer.h \
-		QLabelImage.h \
-		CreatePasswordDialog.h \
-		LoginDialog.h \
-		RenameGroupDialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) RenameGroupDialog.h -o moc_RenameGroupDialog.cpp
-
-moc_OptionsDialog.cpp: OptionsDialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) OptionsDialog.h -o moc_OptionsDialog.cpp
-
-moc_DatabaseManager.cpp: DatabaseManager.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) DatabaseManager.h -o moc_DatabaseManager.cpp
-
-moc_eWallet.cpp: DatabaseManager.h \
-		DetailedWindow.h \
-		CreateFieldDialog.h \
-		ImageViewer.h \
-		QLabelImage.h \
-		CreatePasswordDialog.h \
-		OptionsDialog.h \
-		RenameGroupDialog.h \
