=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
  * Unlock after Automatic Lock recover previous situation
  * New language option
  * Fix problems deleting cards
+ * Now card list show extra information
+ * Improvement when loading a lot of cards with images
   
 Package: qtwallet
 Section: user/utilities
