## qtwallet 1.4-8maemo1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 25 18:23:14 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Feb 11 00:18:07 2011
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile src.pro
@@ -43,7 +43,8 @@
 
 ####### Files
 
-SOURCES       = AntiTheftManager.cpp \
+SOURCES       = ListOfCards.cpp \
+		AntiTheftManager.cpp \
 		AntiTheftOptionsDialog.cpp \
 		CreatePasswordDialog.cpp \
 		QLabelW.cpp \
@@ -67,13 +68,15 @@
 		moc_OptionsDialog.cpp \
 		moc_DatabaseManager.cpp \
 		moc_eWallet.cpp \
+		moc_ListOfCards.cpp \
 		moc_DetailedWindow.cpp \
 		moc_LoginDialog.cpp \
 		moc_ImageViewer.cpp \
 		moc_QLabelImage.cpp \
 		moc_EditTemplates.cpp \
 		qrc_resources.cpp
-OBJECTS       = AntiTheftManager.o \
+OBJECTS       = ListOfCards.o \
+		AntiTheftManager.o \
 		AntiTheftOptionsDialog.o \
 		CreatePasswordDialog.o \
 		QLabelW.o \
@@ -98,6 +101,7 @@
 		moc_OptionsDialog.o \
 		moc_DatabaseManager.o \
 		moc_eWallet.o \
+		moc_ListOfCards.o \
 		moc_DetailedWindow.o \
 		moc_LoginDialog.o \
 		moc_ImageViewer.o \
@@ -221,7 +225,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents AntiTheftManager.h AntiTheftOptionsDialog.h CreatePasswordDialog.h QLabelW.h CreateFieldDialog.h RenameGroupDialog.h OptionsDialog.h utils.h Constants.h utils.h DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h ImageViewer.h QLabelImage.h EditTemplates.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents AntiTheftManager.cpp AntiTheftOptionsDialog.cpp CreatePasswordDialog.cpp QLabelW.cpp CreateFieldDialog.cpp OptionsDialog.cpp RenameGroupDialog.cpp utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp ImageViewer.cpp QLabelImage.cpp EditTemplates.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts translations/qtwallet_de.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents AntiTheftManager.h AntiTheftOptionsDialog.h CreatePasswordDialog.h QLabelW.h CreateFieldDialog.h RenameGroupDialog.h OptionsDialog.h utils.h Constants.h utils.h DatabaseManager.h eWallet.h ListOfCards.h DetailedWindow.h LoginDialog.h ImageViewer.h QLabelImage.h EditTemplates.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents ListOfCards.cpp AntiTheftManager.cpp AntiTheftOptionsDialog.cpp CreatePasswordDialog.cpp QLabelW.cpp CreateFieldDialog.cpp OptionsDialog.cpp RenameGroupDialog.cpp utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp ImageViewer.cpp QLabelImage.cpp EditTemplates.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts translations/qtwallet_de.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -242,13 +246,14 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_AntiTheftManager.cpp moc_AntiTheftOptionsDialog.cpp moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
+compiler_moc_header_make_all: moc_AntiTheftManager.cpp moc_AntiTheftOptionsDialog.cpp moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_ListOfCards.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_AntiTheftManager.cpp moc_AntiTheftOptionsDialog.cpp moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
+	-$(DEL_FILE) moc_AntiTheftManager.cpp moc_AntiTheftOptionsDialog.cpp moc_CreatePasswordDialog.cpp moc_QLabelW.cpp moc_CreateFieldDialog.cpp moc_RenameGroupDialog.cpp moc_OptionsDialog.cpp moc_DatabaseManager.cpp moc_eWallet.cpp moc_ListOfCards.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp moc_ImageViewer.cpp moc_QLabelImage.cpp moc_EditTemplates.cpp
 moc_AntiTheftManager.cpp: AntiTheftManager.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) AntiTheftManager.h -o moc_AntiTheftManager.cpp
 
-moc_AntiTheftOptionsDialog.cpp: AntiTheftOptionsDialog.h
+moc_AntiTheftOptionsDialog.cpp: AntiTheftManager.h \
+		AntiTheftOptionsDialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) AntiTheftOptionsDialog.h -o moc_AntiTheftOptionsDialog.cpp
 
 moc_CreatePasswordDialog.cpp: CreatePasswordDialog.h
@@ -257,9 +262,3 @@
 moc_QLabelW.cpp: DatabaseManager.h \
 		CreateFieldDialog.h \
 		QLabelW.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) QLabelW.h -o moc_QLabelW.cpp
-
-moc_CreateFieldDialog.cpp: DatabaseManager.h \
-		CreateFieldDialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) CreateFieldDialog.h -o moc_CreateFieldDialog.cpp
-
