=== debian/changelog ===
qtwallet (1.4-8maemo1) fremantle; urgency=low

  * General optimization changing password
  * Unlock after Automatic Lock recover previous situation
  * New language option  
  * Fix problems deleting cards
  * Now card list show extra information
  * Improvement when loading a lot of cards with images
  * Source code has been reorganized
  
 -- David Galindo <nowheremanmail@gmail.com>  Mon, 14 Feb 2011 19:00:00 +0100
