=== debian/control ===
--- 
+++ 
@@ -12,21 +12,22 @@
 #https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
- * General optimization changing password
- * Unlock after Automatic Lock recover previous situation
- * New language option
- * Fix problems deleting cards
- * Now card list show extra information
- * Improvement when loading a lot of cards with images
+  * General optimization changing password
+  * Unlock after Automatic Lock recover previous situation
+  * New language option
+  * Fix problems deleting cards
+  * Now card list show extra information
+  * Improvement when loading a lot of cards with images
+  * Source code has been reorganized
   
 Package: qtwallet
 Section: user/utilities
 Architecture: armel i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wallet keeps your confidential information in a safe place.
- * Discussion thread: <A href="http://talk.maemo.org/showthread.php?t=53745">http://talk.maemo.org/showthread.php?t=53745</A>
- * Package: <A href="http://maemo.org/packages/view/qtwallet/">http://maemo.org/packages/view/qtwallet/</A>
- * Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtWallet&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
+  * Discussion thread: <A href="http://talk.maemo.org/showthread.php?t=53745">http://talk.maemo.org/showthread.php?t=53745</A>
+  * Package: <A href="http://maemo.org/packages/view/qtwallet/">http://maemo.org/packages/view/qtwallet/</A>
+  * Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtWallet&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
  b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
