## qtwallet 1.4-9maemo1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 15 21:28:11 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Feb 8 23:12:37 2011
 # Project:  qtwallet.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -o Makefile qtwallet.pro
