=== debian/changelog ===
qtwallet (1.4-9maemo1) fremantle; urgency=low

  * Fix problems on login screen when wallet gets lock
  * Fix problems on others screens when wallet gets lock
  
 -- David Galindo <nowheremanmail@gmail.com>  Mon, 17 Feb 2011 21:30:00 +0100
