=== debian/control ===
--- 
+++ 
@@ -12,14 +12,9 @@
 #https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
-  * General optimization changing password
-  * Unlock after Automatic Lock recover previous situation
-  * New language option
-  * Fix problems deleting cards
-  * Now card list show extra information
-  * Improvement when loading a lot of cards with images
-  * Source code has been reorganized
-  
+  * Fix problems on login screen when wallet gets lock
+  * Fix problems on others screens when wallet gets lock
+    
 Package: qtwallet
 Section: user/utilities
 Architecture: armel i386
